Imports System.Data.SqlClient

Public Class clsProjet

  Public Enum ValiditeProjet
    Valide
    Invalide
  End Enum

  Dim mlngID As Long
  Dim mstrNo As String
  Dim mstrTitre As String
  Dim mstrStatut As String
  Dim mstrResponsable As String
  Dim mstrCategorie As String
  Dim mbolValide As ValiditeProjet


  Property Valide() As ValiditeProjet
    Get
      Valide = mbolValide
    End Get
    Set(ByVal Value As ValiditeProjet)
      mbolValide = Value
    End Set
  End Property


  Property ID() As Integer
    Get
      ID = mlngID
    End Get
    Set(ByVal Value As Integer)
      mlngID = Value
    End Set
  End Property

  Property No() As String
    Get
      No = mstrNo
    End Get
    Set(ByVal Value As String)
      mstrNo = Value
    End Set
  End Property

  Property Statut() As String
    Get
      Statut = mstrStatut
    End Get
    Set(ByVal Value As String)
      mstrStatut = Value
    End Set
  End Property

  Property Responsable() As String
    Get
      Responsable = mstrResponsable
    End Get
    Set(ByVal Value As String)
      mstrResponsable = Value
    End Set
  End Property

  Property Titre() As String
    Get
      Titre = mstrTitre
    End Get
    Set(ByVal Value As String)
      mstrTitre = Value
    End Set
  End Property

  Property Categorie() As String
    Get
      Categorie = mstrCategorie
    End Get
    Set(ByVal Value As String)
      mstrCategorie = Value
    End Set
  End Property

  Public Sub New(ByVal lngID As Long)
    Dim strSQL As String = "SELECT * FROM ProjetsImport WHERE idProjet = " & lngID
    Dim commSQL As New OleDb.OleDbCommand
    Dim datRead As OleDb.OleDbDataReader
    commSQL.CommandText = strSQL
    commSQL.Connection = ConnecterBD("HANDEL")
    datRead = commSQL.ExecuteReader

    If datRead.Read Then
      mlngID = lngID
      mstrNo = datRead("NoProjet")
      mstrTitre = datRead("TitreProjet")
      mstrStatut = datRead("Statut")
      mstrResponsable = datRead("Responsable")
      mstrCategorie = datRead("Categorie")
      If mstrStatut <> STATUT_PROJET_VALIDE Or mstrCategorie <> STATUT_CATEGORIE_VALIDE Then
        mbolValide = ValiditeProjet.Invalide
      Else
        mbolValide = ValiditeProjet.Valide
      End If
    Else
      mbolValide = ValiditeProjet.Invalide
    End If

    commSQL.Connection.Close()
    commSQL.Connection = Nothing
  End Sub
End Class
